Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class InterruptedIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.InterruptedIOException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SocketTimeoutException

    public class InterruptedIOException

extends IOException

Signals that an I/O operation has been interrupted. An `InterruptedIOException` is thrown to indicate that an input or output transfer has been terminated because the thread performing it was interrupted. The field `bytesTransferred` indicates how many bytes were successfully transferred before the interruption occurred.

Since:
  JDK1.0
See Also:
  `InputStream`, `OutputStream`, `Thread.interrupt()`, Serialized Form

Field Summary
`int` | `bytesTransferred` Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

Constructor Summary
`InterruptedIOException()` Constructs an `InterruptedIOException` with `null` as its error detail message.
`InterruptedIOException(String s)` Constructs an `InterruptedIOException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bytesTransferred

    public int bytesTransferred

  Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

Constructor Detail

### InterruptedIOException

    public InterruptedIOException()

  Constructs an `InterruptedIOException` with `null` as its error detail message.

### InterruptedIOException

    public InterruptedIOException(String s)

  Constructs an `InterruptedIOException` with the specified detail message. The string `s` can be retrieved later by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.